; PICDISP -- example of how to display an RLE picture

#include "ti86asm.inc"

.org _asm_exec_ram

 call _flushallmenus		; close any open menus
 call _runindicoff			; turn off the run indicator

 ld hl,Pic					; point to RLE picture to display
 ld de,$fc00				; display picture in video memory
 call DispRLE				; decode and display the picture

 call _getkey				; wait for a key to be pressed
 call _clrLCD				; clear the display
 jp _newline				; move cursor to upper-left and exit

#include "rle.asm"			; include RLE picture displayer

Pic:
#include "Picture.asm"		; RLE picture made by RLE2PIC

.end
